## org.junit.runners.model
Interface MemberValueConsumer<T>

    public interface MemberValueConsumer<T>

Represents a receiver for values of annotated fields/methods together with the declaring member.

Since:
  4.13
See Also:
  `TestClass.collectAnnotatedFieldValues(Object, Class, Class, MemberValueConsumer)`, `TestClass.collectAnnotatedMethodValues(Object, Class, Class, MemberValueConsumer)`

Method Summary
`void` `accept(FrameworkMember<?> member, T value)` Receives the next value and its declaring member.

Method Detail

### accept

    void accept(FrameworkMember<?> member,
                T value)

  Receives the next value and its declaring member.

  Parameters:
    `member` - declaring member (`FrameworkMethod` or `FrameworkField`)
    `value` - the value of the next member

Copyright © 2002–2020 JUnit. All rights reserved.